### A free/open-source library for quantitative finance

Public Member Functions
AmortizingCmsRateBond Class Reference

amortizing CMS-rate bond More...

`#include <ql/experimental/amortizingbonds/amortizingcmsratebond.hpp>`

Inheritance diagram for AmortizingCmsRateBond:
[legend]

List of all members.

## Public Member Functions

AmortizingCmsRateBond (Natural settlementDays, const std::vector< Real > &notionals, const Schedule &schedule, const boost::shared_ptr< SwapIndex > &index, const DayCounter &paymentDayCounter, BusinessDayConvention paymentConvention=Following, Natural fixingDays=Null< Natural >(), const std::vector< Real > &gearings=std::vector< Real >(1, 1.0), const std::vector< Spread > &spreads=std::vector< Spread >(1, 0.0), const std::vector< Rate > &caps=std::vector< Rate >(), const std::vector< Rate > &floors=std::vector< Rate >(), bool inArrears=false, const Date &issueDate=Date())

## Detailed Description

amortizing CMS-rate bond